#include <stdio.h>
#include "../winuser.h"
int _CRwindow(mmachine m)
{ m->pp+=8;return MMpush(m,NIL); }
int _DSwindow(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _SHOWwindow(mmachine m)
{ m->pp+=2;return MMpush(m,NIL); }
int _MVwindow(mmachine m)
{ m->pp+=3;return MMpush(m,NIL); }
int _TXTout(mmachine m)
{ m->pp+=7;return MMpush(m,NIL); }
int _SETwindowName(mmachine m)
{ m->pp+=2;return MMpush(m,NIL); }
int _SIZEwindow(mmachine m)
{ m->pp+=5;return MMpush(m,NIL); }
int _GETwindowSizePosition(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _CBwinPaint(mmachine m)
{ m->pp+=3;return MMpush(m,NIL); }
int _CBwinMove(mmachine m)
{ m->pp+=3;return MMpush(m,NIL); }
int _CBcursorMove(mmachine m)
{ m->pp+=3;return MMpush(m,NIL); }
int _GETwindowExSizePosition(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _CBwinSize(mmachine m)
{ m->pp+=3;return MMpush(m,NIL); }
int _CBwinClick(mmachine m)
{ m->pp+=3;return MMpush(m,NIL); }
int _CBwinUnclick(mmachine m)
{ m->pp+=3;return MMpush(m,NIL); }
int _CBwinKeydown(mmachine m)
{ m->pp+=3;return MMpush(m,NIL); }
int _CBwinKeyup(mmachine m)
{ m->pp+=3;return MMpush(m,NIL); }
int _CBwinDestroy(mmachine m)
{ m->pp+=3;return MMpush(m,NIL); }
int _CBwinClose(mmachine m)
{ m->pp+=3;return MMpush(m,NIL); }
int _SETfocus(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _PAINTwindow(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _PAINTcircle(mmachine m)
{ m->pp+=9;return MMpush(m,NIL); }
int _PAINTline(mmachine m)
{ m->pp+=8;return MMpush(m,NIL); }
int _PAINTrectangle(mmachine m)
{ m->pp+=10;return MMpush(m,NIL); }
int _GETscreenSize(mmachine m)
{ m->pp+=0;return MMpush(m,NIL); }
int _CBwinFocus(mmachine m)
{ m->pp+=3;return MMpush(m,NIL); }
int _CBwinKillFocus(mmachine m)
{ m->pp+=3;return MMpush(m,NIL); }
int _POSITIONwindow(mmachine m)
{ m->pp+=5;return MMpush(m,NIL); }
int _GETwindowPositionSize(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _GETwindowExPositionSize(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _CBwinDClick(mmachine m)
{ m->pp+=3;return MMpush(m,NIL); }
int _CBwinDropFile(mmachine m)
{ m->pp+=3;return MMpush(m,NIL); }
int _TOPwindow(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _POSITIONwindowEx(mmachine m)
{ m->pp+=5;return MMpush(m,NIL); }
int _SIZEwindowEx(mmachine m)
{ m->pp+=5;return MMpush(m,NIL); }
int _SETwindowMinSize(mmachine m)
{ m->pp+=3;return MMpush(m,NIL); }
int _SETwindowMaxSize(mmachine m)
{ m->pp+=3;return MMpush(m,NIL); }
int _ENwindow(mmachine m)
{ m->pp+=2;return MMpush(m,NIL); }
int _CLRwindow(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _GETsysColor(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _CRscrollWindow(mmachine m)
{ m->pp+=10;return MMpush(m,NIL); }
int _SETwindowStyle(mmachine m)
{ m->pp+=2;return MMpush(m,NIL); }
int _FULLSCREENwindow(mmachine m)
{ m->pp+=3;return MMpush(m,NIL); }
int _DESKTOPwindow(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _CBwinWheel(mmachine m)
{ m->pp+=3;return MMpush(m,NIL); }
int _CBwinSuspend(mmachine m)
{ m->pp+=3;return MMpush(m,NIL); }
int _CBwinResume(mmachine m)
{ m->pp+=3;return MMpush(m,NIL); }
#define NwindowPKG 47
char* windowname[NwindowPKG]=
{"_CRwindow","_DSwindow","_SHOWwindow","_MVwindow","_TXTout","_SETwindowName","_SIZEwindow","_GETwindowSizePosition","_CBwinPaint","_CBwinMove","_CBcursorMove","_GETwindowExSizePosition","_CBwinSize","_CBwinClick","_CBwinUnclick","_CBwinKeydown","_CBwinKeyup","_CBwinDestroy","_CBwinClose","_SETfocus","_PAINTwindow","_PAINTcircle","_PAINTline","_PAINTrectangle","_GETscreenSize","_CBwinFocus","_CBwinKillFocus","_POSITIONwindow","_GETwindowPositionSize","_GETwindowExPositionSize","_CBwinDClick","_CBwinDropFile","_TOPwindow","_POSITIONwindowEx","_SIZEwindowEx","_SETwindowMinSize","_SETwindowMaxSize","_ENwindow","_CLRwindow","_GETsysColor","_CRscrollWindow","_SETwindowStyle","_FULLSCREENwindow","_DESKTOPwindow","_CBwinWheel","_CBwinSuspend","_CBwinResume"};
int (*windowfun[NwindowPKG])(mmachine m)=
{_CRwindow,_DSwindow,_SHOWwindow,_MVwindow,_TXTout,_SETwindowName,_SIZEwindow,_GETwindowSizePosition,_CBwinPaint,_CBwinMove,_CBcursorMove,_GETwindowExSizePosition,_CBwinSize,_CBwinClick,_CBwinUnclick,_CBwinKeydown,_CBwinKeyup,_CBwinDestroy,_CBwinClose,_SETfocus,_PAINTwindow,_PAINTcircle,_PAINTline,_PAINTrectangle,_GETscreenSize,_CBwinFocus,_CBwinKillFocus,_POSITIONwindow,_GETwindowPositionSize,_GETwindowExPositionSize,_CBwinDClick,_CBwinDropFile,_TOPwindow,_POSITIONwindowEx,_SIZEwindowEx,_SETwindowMinSize,_SETwindowMaxSize,_ENwindow,_CLRwindow,_GETsysColor,_CRscrollWindow,_SETwindowStyle,_FULLSCREENwindow,_DESKTOPwindow,_CBwinWheel,_CBwinSuspend,_CBwinResume};
int windownarg[NwindowPKG]=
{8,1,2,3,7,2,5,1,3,3,3,1,3,3,3,3,3,3,3,1,1,9,8,10,0,3,3,5,1,1,3,3,1,5,5,3,3,2,1,1,10,2,3,1,3,3,3};
char* windowtype[NwindowPKG]=
{"fun [Chn ObjWin I I I I I S] ObjWin","fun [ObjWin] I","fun [ObjWin I] ObjWin","fun [ObjWin I I] ObjWin","fun [ObjWin ObjFont I I I I S] ObjWin","fun [ObjWin S] ObjWin","fun [ObjWin I I I I] ObjWin","fun [ObjWin] [I I I I]","fun [ObjWin fun [ObjWin u0] u1 u0] ObjWin","fun [ObjWin fun [ObjWin u0 I I] u1 u0] ObjWin","fun [ObjWin fun [ObjWin u0 I I I] u1 u0] ObjWin","fun [ObjWin] [I I I I]","fun [ObjWin fun [ObjWin u0 I I] u1 u0] ObjWin","fun [ObjWin fun [ObjWin u0 I I I] u1 u0] ObjWin","fun [ObjWin fun [ObjWin u0 I I I] u1 u0] ObjWin","fun [ObjWin fun [ObjWin u0 I I] u1 u0] ObjWin","fun [ObjWin fun [ObjWin u0 I] u1 u0] ObjWin","fun [ObjWin fun [ObjWin u0] u1 u0] ObjWin","fun [ObjWin fun [ObjWin u0] u1 u0] ObjWin","fun [ObjWin] ObjWin","fun [ObjWin] ObjWin","fun [ObjWin I I I I I I I I] ObjWin","fun [ObjWin I I I I I I I] ObjWin","fun [ObjWin I I I I I I I I I] ObjWin","fun [] [I I]","fun [ObjWin fun [ObjWin u0] u1 u0] ObjWin","fun [ObjWin fun [ObjWin u0] u1 u0] ObjWin","fun [ObjWin I I I I] ObjWin","fun [ObjWin] [I I I I]","fun [ObjWin] [I I I I]","fun [ObjWin fun [ObjWin u0 I I I] u1 u0] ObjWin","fun [ObjWin fun [ObjWin u0 I I [P r1]] u1 u0] ObjWin","fun [ObjWin] ObjWin","fun [ObjWin I I I I] ObjWin","fun [ObjWin I I I I] ObjWin","fun [ObjWin I I] ObjWin","fun [ObjWin I I] ObjWin","fun [ObjWin I] ObjWin","fun [ObjWin] ObjWin","fun [I] I","fun [Chn ObjWin I I I I I I I S] [ObjWin ObjWin]","fun [ObjWin I] ObjWin","fun [ObjWin I I] I","fun [ObjWin] I","fun [ObjWin fun [ObjWin u0 I I I I] u1 u0] ObjWin","fun [ObjWin fun [ObjWin u0] u1 u0] ObjWin","fun [ObjWin fun [ObjWin u0] u1 u0] ObjWin"};
int SCOLloadwindow(mmachine m)
{
return PKhardpak(m,"window.pkg",NwindowPKG,windowname,windowfun,windownarg,windowtype);
}
